Bug 980260 - [abrt] java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc19: os::abort: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc19: os::abort: Process /usr/lib...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:1535fa342fdb6fa0e5c2684287c...
:
: 964370 979102 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 18:19 EDT by mdmpsyd@gmail.com
Modified: 2015-06-29 08:02 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.14 KB, text/plain)
2013-07-01 18:19 EDT, mdmpsyd@gmail.com
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-01 18:19 EDT, mdmpsyd@gmail.com
no flags Details
File: core_backtrace (2.27 KB, text/plain)
2013-07-01 18:19 EDT, mdmpsyd@gmail.com
no flags Details
File: dso_list (2.96 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: environ (1.66 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: hs_err.log (38.88 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: maps (13.54 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: open_fds (1.25 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
File: var_log_messages (11.04 KB, text/plain)
2013-07-01 18:20 EDT, mdmpsyd@gmail.com
no flags Details
Java log file that I obtain with this bug (144.21 KB, text/x-log)
2013-09-12 05:16 EDT, Gwendal
no flags Details
Java error log (89.36 KB, text/x-log)
2013-09-16 17:38 EDT, Alexander Khokhlov
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2013-07-01 18:19:48 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 3
cmdline:        java -Dazureus.install.path=/home/mark/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::abort at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1593
 #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1037
 #4 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:528
 #6 length at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/arrayOop.hpp:88
 #7 klassItable::initialize_itable_for_interface at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/klassVtable.cpp:887
 #8 klassItable::initialize_itable at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/klassVtable.cpp:875
 #9 instanceKlass::link_class_impl at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/instanceKlass.cpp:390
 #10 instanceKlass::link_class at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/instanceKlass.cpp:272
 #11 instanceKlass::initialize_impl at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/instanceKlass.cpp:439
 #12 instanceKlass::initialize at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/instanceKlass.cpp:241

Potential duplicate: bug 853621
Comment 1 mdmpsyd@gmail.com 2013-07-01 18:19:52 EDT
Created attachment 767541 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2013-07-01 18:19:55 EDT
Created attachment 767542 [details]
File: cgroup
Comment 3 mdmpsyd@gmail.com 2013-07-01 18:19:58 EDT
Created attachment 767543 [details]
File: core_backtrace
Comment 4 mdmpsyd@gmail.com 2013-07-01 18:20:00 EDT
Created attachment 767544 [details]
File: dso_list
Comment 5 mdmpsyd@gmail.com 2013-07-01 18:20:04 EDT
Created attachment 767545 [details]
File: environ
Comment 6 mdmpsyd@gmail.com 2013-07-01 18:20:07 EDT
Created attachment 767546 [details]
File: hs_err.log
Comment 7 mdmpsyd@gmail.com 2013-07-01 18:20:11 EDT
Created attachment 767547 [details]
File: limits
Comment 8 mdmpsyd@gmail.com 2013-07-01 18:20:16 EDT
Created attachment 767548 [details]
File: maps
Comment 9 mdmpsyd@gmail.com 2013-07-01 18:20:19 EDT
Created attachment 767549 [details]
File: open_fds
Comment 10 mdmpsyd@gmail.com 2013-07-01 18:20:22 EDT
Created attachment 767550 [details]
File: proc_pid_status
Comment 11 mdmpsyd@gmail.com 2013-07-01 18:20:26 EDT
Created attachment 767551 [details]
File: var_log_messages
Comment 12 Sean McNeil 2013-08-05 22:39:03 EDT
Opened a new project area and clicked on "Workbench" the attempted to resize the window.

reporter:       libreport-2.1.5
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130624-1602.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.3.0.v20130624-1556/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20130624-1602/eclipse_1506.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130624-1602.jar --launcher.appendVmargs -exitdata 442e8005 -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130624-1602.jar
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.x86_64/jre/bin/java
kernel:         3.10.4-300.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 13 Deepak Bhole 2013-08-07 14:54:58 EDT
Is this reproducible?
Comment 14 Sean McNeil 2013-08-07 20:19:39 EDT
(In reply to Deepak Bhole from comment #13)
> Is this reproducible?

Not consistently, but it has occurred more than once. Steps taken:

1) Clear a directory of eclipse information (.metadata).
2) Start eclipse and select the cleared directory for project base.
3) unclick the sent usage statistics and dismiss dialog with "ok".
4) Immediately resize the window.
Comment 15 Deepak Bhole 2013-08-08 09:45:00 EDT
Hi Sam. Can you by any chance post your backtrace? The way you have described it, it sounds like an Eclipse native/windowing error rather than the original bug trace.
Comment 16 F.Prates 2013-08-12 19:02:03 EDT
tomcat web server crashed during upload and debugging session.

tomcat 7.0.42, downloaded from tomcat.apache.org.

reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        /usr/bin/java -Djava.util.logging.config.file=/home/francisco.prates/Download/apache-tomcat/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -agentlib:jdwp=transport=dt_socket,address=8000,server=y,suspend=n -Djava.endorsed.dirs=/home/francisco.prates/Download/apache-tomcat/endorsed -classpath /home/francisco.prates/Download/apache-tomcat/bin/bootstrap.jar:/home/francisco.prates/Download/apache-tomcat/bin/tomcat-juli.jar -Dcatalina.base=/home/francisco.prates/Download/apache-tomcat -Dcatalina.home=/home/francisco.prates/Download/apache-tomcat -Djava.io.tmpdir=/home/francisco.prates/Download/apache-tomcat/temp org.apache.catalina.startup.Bootstrap start
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.x86_64/jre/bin/java
kernel:         3.10.5-201.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 17 Alexander Khokhlov 2013-09-04 16:01:26 EDT
Syntevo SmartGitHg  try to show differences in java file

reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        /lib/jvm/jre-1.7.0/bin/java -Dsun.io.useCanonCaches=false -Xmx256m -Xverify:none -Dsmartgit.vm-xmx=256m -jar /usr/local/smartgithg/lib/bootloader.jar
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre/bin/java
kernel:         3.10.10-200.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 18 Gwendal 2013-09-10 04:34:40 EDT
This problem occurs in a very precise situation: when editing a project configuration file using Kermeta workbench (an Eclipse based tool to write Kermeta programs http://kermeta.org/ ).

This problem does not occur on Windows 7 x64.

I have this problem with Oracle JDK as well.

reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms256m -Xmx1024m -XX:MaxPermSize=256m -Xss1m -jar /home/ebousse/Applications/org.kermeta.studio-linux.gtk.x86_64//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /home/ebousse/Applications/org.kermeta.studio-linux.gtk.x86_64/eclipse -name Eclipse --launcher.library /home/ebousse/Applications/org.kermeta.studio-linux.gtk.x86_64//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120913-144807/eclipse_1502.so -startup /home/ebousse/Applications/org.kermeta.studio-linux.gtk.x86_64//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar --launcher.overrideVmargs -exitdata 1b20009 -vm /usr/bin/java -vmargs -Xms256m -Xmx1024m -XX:MaxPermSize=256m -Xss1m -jar /home/ebousse/Applications/org.kermeta.studio-linux.gtk.x86_64//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64/jre/bin/java
kernel:         3.10.10-200.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 19 Gwendal 2013-09-10 04:47:51 EDT
Some update on this: I encounter this crash when running a generic Eclipse bundle with some plugins pre-installed (Kermeta compiler, etc), available on http://kermeta.org/.

However, if I use Eclipse installed with Fedora ("yum install eclipse"), and manually install the Kermeta plugin, the crash does not happen anymore.


Eclipse version of the bundle:
---------------------------------
Version: 4.2.2.v20130116-114742-7T7oDVDQ23Iosz-vkFwNncmx7z-9Rts4b0m1FotkYacO5
Build id: M20130204-1200
---------------------------------

Eclipse version of Fedora 19:
---------------------------------
Version: 4.3.0.v20130729-1832
Build id: @build@
---------------------------------
Comment 20 Reinout van Schouwen 2013-09-10 10:24:21 EDT
Try to profile a project in Netbeans 7.3.1.

reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        /usr/java/latest/bin/java -Djava.util.logging.config.file=/usr/local/apache-tomcat-7.0.34/conf/logging.properties -XX:+UseLinuxPosixThreadCPUClocks -agentpath:/usr/local/netbeans-7.3/profiler/lib/deployed/jdk16/linux-amd64/libprofilerinterface.so=/usr/local/netbeans-7.3/profiler/lib,5140 -Dnbprofiler.agentid=1258781229 -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.endorsed.dirs=/usr/local/apache-tomcat-7.0.34/endorsed -classpath /usr/local/apache-tomcat-7.0.34/bin/bootstrap.jar:/usr/local/apache-tomcat-7.0.34/bin/tomcat-juli.jar -Dcatalina.base=/usr/local/apache-tomcat-7.0.34 -Dcatalina.home=/usr/local/apache-tomcat-7.0.34 -Djava.io.tmpdir=/usr/local/apache-tomcat-7.0.34/temp org.apache.catalina.startup.Bootstrap start
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64/bin/java
kernel:         3.10.7-200.fc19.x86_64
package:        java-1.7.0-openjdk-devel-1.7.0.60-2.4.2.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            500
Comment 21 Gwendal 2013-09-11 10:40:05 EDT
Second update on this: I also encounter this crash when running another Eclipse bundle with some plugins pre-installed, available at http://gemoc.org/ . It happens during autocompletion of some Xtend code.

And again, if I use Eclipse installed with Fedora ("yum install eclipse"), and manually install the Xtend plugin, the crash does not happen anymore.


Eclipse version of the bundle:
---------------------------------
Version: 3.8.2.v20130116-114247-7Q85DVDQQ3JLtb_hNUm3_MTesRM5RqdjCSfXEI7waiJ_N
Build id: M20130131-0800
---------------------------------

Eclipse version of Fedora 19:
---------------------------------
Version: 4.3.0.v20130729-1832
Build id: @build@
---------------------------------
Comment 22 Gwendal 2013-09-11 11:10:22 EDT
This bug occured right after doing something I can't remember with Eclipse (which was installed using Fedora repositories, if I am not mistaken).

reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130729-1832.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.3.0.v20130729-1827/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20130729-1832/eclipse_1506.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130729-1832.jar --launcher.appendVmargs -exitdata 180000f -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130729-1832.jar
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64/jre/bin/java
kernel:         3.10.10-200.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 23 Gwendal 2013-09-12 05:10:19 EDT
Some update: I encounter this problem when using Eclipse 4.2.2 (Juno) Classic, which can be downloaded here: http://www.eclipse.org/downloads/download.php?file=/eclipse/downloads/drops4/R-4.2.2-201302041200/eclipse-SDK-4.2.2-linux-gtk-x86_64.tar.gz.

In fact, it appears that I _always_ encounter this bug when using any Eclipse before 4.3.0 (Kepler).

If I use any Kepler-based bundle (either from fedora repos, or a bundle from the Eclipse website), I never have this crash (I must have been wrong in my previous comment).
Comment 24 Gwendal 2013-09-12 05:16:42 EDT
Created attachment 796713 [details]
Java log file that I obtain with this bug

I've just noticed that no one shared his java logs yet. In all cases, I have this error:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00000030bae6d9c1, pid=9705, tid=140029345392384
#
# JRE version: OpenJDK Runtime Environment (7.0_60) (build 1.7.0_60-mockbuild_2013_09_06_14_00-b00)
# Java VM: OpenJDK 64-Bit Server VM (24.0-b56 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libsoup-2.4.so.1+0x6d9c1]  soup_session_feature_detach+0x11
#
# Core dump written. Default location: /home/ebousse/Applications/tests/eclipse-SDK-4.2.2-linux-gtk-x86_64/core or core.9705
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#


I've attached the complete java log file. Complete java core dump in my next comment.
Comment 25 Severin Gehwolf 2013-09-12 17:37:25 EDT
Erwan, I'm pretty sure you are hitting bug 1003209. Basically, Eclipse Kepler and better have support for newer webkit (as shipped with F19). The problem stems from older SWT using API which isn't there in newer webkit. Any Eclipse platform based product version prior Kepler will cause problems. There may be some hints in the referenced bug as to how to work around the issue.
Comment 26 Alexander Khokhlov 2013-09-16 17:38:48 EDT
Created attachment 798436 [details]
Java error log

I don't know, but may be my java error log will be helpful
Comment 27 drbean 2013-09-29 09:21:46 EDT
I closed a java applet in the browser, an option the applet offered me.

reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        /usr/lib/jvm/jre-openjdk/bin/java -Xbootclasspath/a:/usr/share/icedtea-web/netx.jar:/usr/share/icedtea-web/plugin.jar:/usr/share/java/js.jar -classpath /usr/lib/jvm/jre-openjdk/lib/rt.jar sun.applet.PluginMain /var/tmp/icedteaplugin-drbean/28195-icedteanp-plugin-to-appletviewer /var/tmp/icedteaplugin-drbean/28195-icedteanp-appletviewer-to-plugin
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.4.fc19.i386/jre/bin/java
kernel:         3.11.1-200.fc19.i686.PAE
package:        java-1.7.0-openjdk-1.7.0.60-2.4.2.4.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.4.fc19.i386/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 28 Frank Murphy 2013-10-03 08:35:01 EDT
Started azureus (fedora supplied) from a terminal bu typing.

reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        java -Dazureus.install.path=/home/frank/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.5.fc19.x86_64/jre/bin/java
kernel:         3.11.2-201.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.2.5.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.5.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1005
Comment 29 David Juran 2013-10-03 09:44:35 EDT
*** Bug 964370 has been marked as a duplicate of this bug. ***
Comment 30 Frank Murphy 2013-10-03 09:50:17 EDT
Going by previous comments, have installed swt.jar from 2nd Oct eclipse.org. 
See how it goes.
Comment 31 Frank Murphy 2013-10-04 10:07:00 EDT
Azxureus was running, then kaboom openjdk died.

reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        java -Dazureus.install.path=/home/frank/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.7.fc19.x86_64/jre/bin/java
kernel:         3.11.3-201.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.2.7.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.7.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1005
Comment 32 scattol 2013-11-03 09:31:34 EST
automatically starting Crashplan as root as result fo the install

reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        /bin/java -Dfile.encoding=UTF-8 -Dapp=CrashPlanDesktop -DappBaseName=CrashPlan -Xms20m -Xmx512m -Djava.net.preferIPv4Stack=true -Dsun.net.inetaddr.ttl=300 -Dnetworkaddress.cache.ttl=300 -Dsun.net.inetaddr.negative.ttl=0 -Dnetworkaddress.cache.negative.ttl=0 -Dc42.native.md5.enabled=false -classpath ./lib/com.backup42.desktop.jar:./lang:./skin com.backup42.desktop.CPDesktop
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java
kernel:         3.11.6-200.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 33 David Wald 2013-11-06 17:16:53 EST
Running Vuze for hours, no known trigger to cause crash

reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        java -Dazureus.install.path=/home/dwald/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java
kernel:         3.11.6-201.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 34 James Boyle 2013-11-12 11:11:16 EST
I attempted to launch the CrashPlan(Pro) desktop client.

/usr/local/crashplan/log
$ cat ui_output.log 
[11.12.13 10:55:26.634 INFO    main                 root                                    ] *************************************************************
[11.12.13 10:55:26.635 INFO    main                 root                                    ] *************************************************************
[11.12.13 10:55:26.635 INFO    main                 root                                    ] STARTED CrashPlanDesktop
[11.12.13 10:55:26.637 INFO    main                 root                                    ] CPVERSION = 3.5.3 - 1364274000353 (2013-03-26T05:00:00:353+0000)
[11.12.13 10:55:26.637 INFO    main                 root                                    ] ARGS      = [  ]
[11.12.13 10:55:26.640 INFO    main                 root                                    ] LOCALE    = English (United States)
[11.12.13 10:55:26.640 INFO    main                 root                                    ] JVM       = OpenJDK Runtime Environment (1.7.0_45-mockbuild_2013_10_16_17_47-b00, 64-bit)
[11.12.13 10:55:26.640 INFO    main                 root                                    ] OS        = Linux (3.11.7-200.fc19.x86_64, amd64)
[11.12.13 10:55:26.640 INFO    main                 root                                    ] User      = jboyle, /home/jboyle
[11.12.13 10:55:26.640 INFO    main                 root                                    ] swt.library.path = /tmp/.cpswt
[11.12.13 10:55:26.640 INFO    main                 root                                    ] *************************************************************
[11.12.13 10:55:26.641 INFO    main                 root                                    ] SWT library dir created: /tmp/.cpswt
[11.12.13 10:55:26.642 INFO    main                 root                                    ] Loading lib/swt-64.jar, exists=true
[11.12.13 10:55:26.642 INFO    main                 root                                    ] [file:/usr/local/crashplan/lib/com.backup42.desktop.jar, file:/usr/local/crashplan/lang/, file:/usr/local/crashplan/skin/, file:/usr/local/crashplan/lib/swt-64.jar]
[11.12.13 10:55:26.887 INFO    main                 com.backup42.desktop.model.ConfigModel  ] ConfigModel.loaded=false
[11.12.13 10:55:26.887 INFO    main                 com.backup42.desktop.model.ConfigModel  ] ConfigModel.configDateMs=null
[11.12.13 10:55:26.944 INFO    main                 root                                    ] CpdFolders: appData = /usr/local/crashplan/
[11.12.13 10:55:26.952 INFO    main                 root                                    ] CpdFoldersMigrate is not necessary. /home/jboyle/.crashplan/my.ui.properties file does not exists.
[11.12.13 10:55:26.958 INFO    main                 root                                    ] Log file: /usr/local/crashplan/log/ui_jboyle.log
jtux64 Loaded.
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000003ef006dab1, pid=3072, tid=140233987180288
#
# JRE version: OpenJDK Runtime Environment (7.0_45-b15) (build 1.7.0_45-mockbuild_2013_10_16_17_47-b00)
# Java VM: OpenJDK 64-Bit Server VM (24.45-b08 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libsoup-2.4.so.1+0x6dab1]  soup_session_feature_detach+0x11
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /tmp/jvm-3072/hs_error.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        /bin/java -Dfile.encoding=UTF-8 -Dapp=CrashPlanDesktop -DappBaseName=CrashPlan -Xms20m -Xmx512m -Djava.net.preferIPv4Stack=true -Dsun.net.inetaddr.ttl=300 -Dnetworkaddress.cache.ttl=300 -Dsun.net.inetaddr.negative.ttl=0 -Dnetworkaddress.cache.negative.ttl=0 -Dc42.native.md5.enabled=false -classpath ./lib/com.backup42.desktop.jar:./lang:./skin com.backup42.desktop.CPDesktop
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java
kernel:         3.11.7-200.fc19.x86_64
package:        java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 35 Terrance McCann 2013-11-16 18:19:46 EST
The crash happens when I start Code42's CrashPlan application.

reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        /usr/bin/java -Dfile.encoding=UTF-8 -Dapp=CrashPlanDesktop -DappBaseName=CrashPlan -Xms20m -Xmx512m -Djava.net.preferIPv4Stack=true -Dsun.net.inetaddr.ttl=300 -Dnetworkaddress.cache.ttl=300 -Dsun.net.inetaddr.negative.ttl=0 -Dnetworkaddress.cache.negative.ttl=0 -Dc42.native.md5.enabled=false -classpath ./lib/com.backup42.desktop.jar:./lang:./skin com.backup42.desktop.CPDesktop
crash_function: os::abort
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.i386/jre/bin/java
kernel:         3.11.7-200.fc19.i686
package:        java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19
reason:         Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.i386/jre/bin/java was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 36 John Baxendale 2013-11-18 08:38:00 EST
I see the same crash under Fedora 19 when launching CrashPlan Desktop:

[root@johnbaxendale ~]# cd /usr/local/crashplan/log/
[root@johnbaxendale log]# cat ui_output.log 
[11.18.13 14:24:54.365 INFO    main                 root                                    ] *************************************************************
[11.18.13 14:24:54.366 INFO    main                 root                                    ] *************************************************************
[11.18.13 14:24:54.366 INFO    main                 root                                    ] STARTED CrashPlanDesktop
[11.18.13 14:24:54.369 INFO    main                 root                                    ] CPVERSION = 3.6.1.4 - 1375333203614 (2013-08-01T05:00:03:614+0000)
[11.18.13 14:24:54.370 INFO    main                 root                                    ] ARGS      = [  ]
[11.18.13 14:24:54.376 INFO    main                 root                                    ] LOCALE    = English (United Kingdom)
[11.18.13 14:24:54.376 INFO    main                 root                                    ] JVM       = OpenJDK Runtime Environment (1.7.0_45-mockbuild_2013_10_16_17_47-b00, 64-bit)
[11.18.13 14:24:54.376 INFO    main                 root                                    ] OS        = Linux (3.11.8-200.fc19.x86_64, amd64)
[11.18.13 14:24:54.376 INFO    main                 root                                    ] User      = johnbaxendale, /home/johnbaxendale
[11.18.13 14:24:54.376 INFO    main                 root                                    ] swt.library.path = /tmp/.cpswt
[11.18.13 14:24:54.376 INFO    main                 root                                    ] *************************************************************
[11.18.13 14:24:54.376 INFO    main                 root                                    ] SWT library deleted: /tmp/.cpswt/libswt-xpcominit-gtk-4234.so
[11.18.13 14:24:54.377 INFO    main                 root                                    ] SWT library deleted: /tmp/.cpswt/libswt-webkit-gtk-4234.so
[11.18.13 14:24:54.377 INFO    main                 root                                    ] SWT library deleted: /tmp/.cpswt/libswt-atk-gtk-4234.so
[11.18.13 14:24:54.377 INFO    main                 root                                    ] SWT library deleted: /tmp/.cpswt/libswt-cairo-gtk-4234.so
[11.18.13 14:24:54.377 INFO    main                 root                                    ] SWT library deleted: /tmp/.cpswt/libswt-pi-gtk-4234.so
[11.18.13 14:24:54.377 INFO    main                 root                                    ] SWT library deleted: /tmp/.cpswt/libswt-gtk-4234.so
[11.18.13 14:24:54.378 INFO    main                 root                                    ] Loading lib/swt-64.jar, exists=true
[11.18.13 14:24:54.379 INFO    main                 root                                    ] [file:/usr/local/crashplan/lib/com.backup42.desktop.jar, file:/usr/local/crashplan/lang/, file:/usr/local/crashplan/skin/, file:/usr/local/crashplan/lib/swt-64.jar]
[11.18.13 14:24:54.513 WARN    main                 com.code42.utils.UniqueId               ] critical error converting IP address into int
[11.18.13 14:24:54.540 INFO    main                 com.backup42.desktop.model.ConfigModel  ] ConfigModel.loaded=false
[11.18.13 14:24:54.540 INFO    main                 com.backup42.desktop.model.ConfigModel  ] ConfigModel.configDateMs=null
[11.18.13 14:24:54.569 INFO    main                 root                                    ] CpdFolders: appData = /usr/local/crashplan/
[11.18.13 14:24:54.575 INFO    main                 root                                    ] CpdFoldersMigrate is not necessary. /home/johnbaxendale/.crashplan/my.ui.properties file does not exists.
[11.18.13 14:24:54.576 INFO    main                 root                                    ] Log file: /usr/local/crashplan/log/ui_johnbaxendale.log
jtux64 Loaded.
Comment 37 John Baxendale 2013-11-18 08:55:36 EST
Validated that swt-64.jar is the problem, *not* swt.jar in my case.

Once I performed a `cp /usr/lib64/eclipse/swt.jar /usr/local/crashplan/lib/swt-64.jar` to use the eclipse provided version of the 64bit swt.jar, my CrashPlan Desktop now works again.
Comment 38 Terrance McCann 2013-11-18 12:25:23 EST
I found a support article on the CrashPlan vendor site referencing this issue:

https://helpdesk.code42.com/entries/24395528-CrashPlan-client-closes-in-some-Linux-installations

They provided the solution of modifying the ./crashplan/bin/run.conf file. I made the recommended change and the problem was resolved.

Terry
Comment 39 Deepak Bhole 2013-11-18 14:31:12 EST
Since this is an issue with SWT, I am re-assigning this to Eclipse (which provides swt.jar).
Comment 40 Sergio Monteiro Basto 2014-02-05 22:47:19 EST
Hi, 
(In reply to Frank Murphy from comment #30)
> Going by previous comments, have installed swt.jar from 2nd Oct eclipse.org. 
> See how it goes.

I download and unzip swt-4.4M5-gtk-linux-x86_64.zip [1]
mv ~sergio/swt.jar /usr/lib64/eclipse/swt.jar

and seems that Azureus goes here , good tip, thanks.


[1]
http://www.eclipse.org/downloads/download.php?file=/eclipse/downloads/drops4/S-4.4M5-201401231600/swt-4.4M5-gtk-linux-x86_64.zip
Comment 41 Sergio Monteiro Basto 2014-02-10 10:40:55 EST
*** Bug 979102 has been marked as a duplicate of this bug. ***
Comment 42 Sergio Monteiro Basto 2014-02-10 10:44:44 EST
on comment #0 is azureus report ... , we need new swt for azureus auto-updates things work again , after I update manually /usr/lib64/eclipse/swt.jar with wt-4.4M5-gtk-linux-x86_64.zip .
This an big issue, we need to have an update swt.jar to azureus work properly,  since  /usr/lib64/eclipse/swt.jar is part of eclipse-swt [1] 
and eclipse-swt for stables releases are not enough ... 

Also we many [abrt] java ... with azureus , which update swt seems a solution ... for most cases.



[1]
rpm -qf /usr/lib64/eclipse/swt.jar 
eclipse-swt-4.3.1-11.fc20.x86_64
Comment 43 James Boyle 2014-02-10 11:53:00 EST
I was able to get the Crashplan desktop client running again by performing the following steps; It turns out that crashplan was using a bundled version of swt.jar...

$ sudo su -
# cd /usr/local/crashplan/lib
# mv -i swt-64.jar swt-64.jar.orig
# mv -i swt.jar swt.jar.orig
# ln -s /usr/lib64/eclipse/swt.jar
# ln -s /usr/lib64/eclipse/swt.jar swt-64.jar
Comment 44 Alexander Kurtakov 2014-02-10 12:05:43 EST
(In reply to Sergio Monteiro Basto from comment #42)
> on comment #0 is azureus report ... , we need new swt for azureus
> auto-updates things work again , after I update manually
> /usr/lib64/eclipse/swt.jar with wt-4.4M5-gtk-linux-x86_64.zip .
> This an big issue, we need to have an update swt.jar to azureus work
> properly,  since  /usr/lib64/eclipse/swt.jar is part of eclipse-swt [1] 
> and eclipse-swt for stables releases are not enough ... 
> 
> Also we many [abrt] java ... with azureus , which update swt seems a
> solution ... for most cases.
> 
> 
> 
> [1]
> rpm -qf /usr/lib64/eclipse/swt.jar 
> eclipse-swt-4.3.1-11.fc20.x86_64

There is no way that a milestone build of swt can hit released Fedora release. As an upstream developer of swt too what you done might work for your single case but it will break many things badly.
Comment 45 Sergio Monteiro Basto 2014-02-10 18:19:35 EST
Hi, 

(In reply to Alexander Kurtakov from comment #44)
> 
> There is no way that a milestone build of swt can hit released Fedora
> release.  

http://wiki.eclipse.org/Luna/Simultaneous_Release_Plan#Schedule
in May we have RC2 to RC3 , Any change to hit Fedora 21 ?
Comment 46 Alexander Kurtakov 2014-02-11 00:26:05 EST
(In reply to Sergio Monteiro Basto from comment #45)
> Hi, 
> 
> (In reply to Alexander Kurtakov from comment #44)
> > 
> > There is no way that a milestone build of swt can hit released Fedora
> > release.  
> 
> http://wiki.eclipse.org/Luna/Simultaneous_Release_Plan#Schedule
> in May we have RC2 to RC3 , Any change to hit Fedora 21 ?

That's the plan, let's hope that nothing will break it.
Comment 47 Fedora End Of Life 2015-05-29 05:08:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 48 Fedora End Of Life 2015-06-29 08:02:37 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.